Subject: Re: linux-next: manual merge of the userns tree with Linus' tree

From: [email-masked] (Eric W. Biederman)
Date: Thu, 17 Apr 2014 01:44:21 -0700

Al Viro <[email-masked]> writes:

> On Thu, Apr 17, 2014 at 03:06:57PM +1000, Stephen Rothwell wrote:
>> Hi Eric,
>> 
>> Today's linux-next merge of the userns tree got a conflict in
>> fs/namespace.c between various commits from Linus' tree and various
>> commits from the userns tree.
>> 
>> I fixed it up (hopefully - see below) and can carry the fix as necessary
>> (no action is required).
>
> Various commits include this:
> commit 38129a13e6e71f666e0468e99fdd932a687b4d7e
> Author: Al Viro <[email-masked]>
> Date:   Thu Mar 20 21:10:51 2014 -0400
>
>     switch mnt_hash to hlist
>
> present in v3.14...  It's been there since before the merge window.

And the code that is in conflict is even older.  

I just figured out of an abundance of caution I would make certain the
code was out there for automatic and semi-automatic things to pound on
before I resent my pull request to Linus, now that I have fixed the
stack overflow issue you were complaining about.

I suspect something about fixing mntput caused Stephen to loose his
trivial resolution for this trivial conflict.

Eric